cURL
Authorizations
string
header
required
DashScope API Key
Path Parameters
string
required
Response
200-application/json
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
软归档 Agent
curl --request POST \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/agents/{agent_id}/archive' \
--header 'Authorization: Bearer <YOUR_API_KEY>'{
"id": "agent_01JXH5K2M3N4P5Q6R7S8T9UV",
"type": "agent",
"version": 1,
"name": "数据分析助手",
"description": "帮助用户分析数据文件",
"model": {
"id": "qwen3-max"
},
"system": "你是一个专业的数据分析助手。",
"tools": [
{
"type": "builtin_toolkit",
"default_config": {
"type": "allowed"
}
}
],
"mcp_servers": [],
"skills": [],
"metadata": {},
"archived_at": "2026-07-25T10:00:00Z",
"created_at": "2026-07-20T10:00:00Z",
"updated_at": "2026-07-20T10:00:00Z",
"workspace_id": "ws_xxx",
"request_id": "req_xxx"
}DashScope API Key
Agent ID,格式 agent_<ULID>
固定值 agent
当前版本号
Agent 名称
Agent 描述
系统提示词
工具包列表
MCP Server 引用列表
挂载技能列表
业务自定义键值
归档时间,ISO 8601
创建时间,ISO 8601
更新时间,ISO 8601
所属工作空间 ID
请求唯一标识
curl --request POST \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/agents/{agent_id}/archive' \
--header 'Authorization: Bearer <YOUR_API_KEY>'{
"id": "agent_01JXH5K2M3N4P5Q6R7S8T9UV",
"type": "agent",
"version": 1,
"name": "数据分析助手",
"description": "帮助用户分析数据文件",
"model": {
"id": "qwen3-max"
},
"system": "你是一个专业的数据分析助手。",
"tools": [
{
"type": "builtin_toolkit",
"default_config": {
"type": "allowed"
}
}
],
"mcp_servers": [],
"skills": [],
"metadata": {},
"archived_at": "2026-07-25T10:00:00Z",
"created_at": "2026-07-20T10:00:00Z",
"updated_at": "2026-07-20T10:00:00Z",
"workspace_id": "ws_xxx",
"request_id": "req_xxx"
}